# geocontrib-frontend

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).


## Docker

Lancer un build
```
npm run build
```
Créér une image docker
```
docker-compose build
``` 
puis 
```
docker-compose push
```
Aller sur la VM geocontrib, (demander l'accès si besoin), aller dans ```/opt/geocontrib/[user]``` et ensuite :
```
docker-compose pull
```
et
```
docker-compose up -d
```

## Changement depuis django
- Base.html = App.js

## Divers
- Vue-fragment permet d'avoir plusieurs éléments html à la racine du template d'un compposant, sans avoir à ajouter une div wrapper qui peut modifier le style, si on a une classe parente avec du flex par exemple. Cela permet de garder la même structure de pages que les templates originaux dans Django, mais il y a des erreurs avec la version 1.5.2, donc elle est bloqué à 1.5.1. https://github.com/Thunberg087/vue-fragment/issues/32 v-frag ne semble pas avoir ce problème, mais n'est pas plus légère, à décider laquelle est mieux...

- user.full_name n'existe pas en base

- sso semble provenir d'une requête, donc du front, alors qu'on en a besoin en front (création d'une view mais ne semble pas propre...)